library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
use work.axi3intercon_pkg.all;

package axi_aw_router_pkg is
	type axi_aw_masters_in_t is array (natural range <>) of master_aw_in_t;
	type axi_aw_masters_out_t is array (natural range <>) of master_aw_out_t;
	type axi_aw_slaves_out_t is array (natural range <>) of slave_aw_out_t;
	type axi_aw_slaves_in_t is array (natural range <>) of slave_aw_in_t;

	type write_lock_t is record
		locked    : std_logic;
		slave_idx : integer range 0 to SLAVE_COUNT;
	end record write_lock_t;

	type write_locks_t is array (natural range <>) of write_lock_t;
	subtype write_releases_t is std_logic_vector(0 to MASTER_COUNT - 1);

end package axi_aw_router_pkg;

-- package body filename is	
-- end package body filename;
